#
# Conditional build:
%bcond_without	verify	# don't verify database

Summary:	Wireless regulatory database for Linux drivers
Summary(pl.UTF-8):	Baza danych przepisów dotyczących sieci bezprzewodowych dla sterowników linuksowych
Name:		wireless-regdb
Version:	2019.06.03
Release:	1
License:	ISC
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/software/network/wireless-regdb/%{name}-%{version}.tar.xz
# Source0-md5:	4b5ba3f089db7fdb7b9daae6a7c1f2cb
URL:		https://wireless.wiki.kernel.org/en/developers/Regulatory
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{?with_verify:BuildRequires:	crda}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/lib

%description
This package contains the wireless regulatory database used by all
cfg80211 based Linux wireless drivers.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych przepisów dotyczących częstotliwości
dopuszczonych dla sieci bezprzewodowych, wykorzystywaną przez
wszystkie linuksowe sterowniki bezprzewodowe oparte na cfg80211.

%prep
%setup -q

%build
%if %{with verify}
PATH=/sbin:$PATH \
regdbdump regulatory.bin > dump.txt
test -s dump.txt
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware,%{_datadir}/crda,%{_mandir}/man5}
cp -p regulatory.db regulatory.db.p7s $RPM_BUILD_ROOT/lib/firmware
cp -p regulatory.bin $RPM_BUILD_ROOT%{_datadir}/crda/regulatory.bin
cp -p regulatory.bin.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
/lib/firmware/regulatory.db
/lib/firmware/regulatory.db.p7s
%{_datadir}/crda
%{_mandir}/man5/regulatory.bin.5*
%changelog
* Mon Jun 10 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wireless-regdb.git;a=log;h=master

* Wed Jun 05 2019 Jan Palus <atler@pld-linux.org> 0fcb06d
- up to 2019.06.03

* Sun Mar 03 2019 Jan Palus <atler@pld-linux.org> 684f861
- up to 2019.03.01

* Mon Oct 29 2018 Jan Palus <atler@pld-linux.org> 85abda5
- up to 2018.10.24

* Wed Oct 24 2018 Jan Palus <atler@pld-linux.org> a67ff3a
- up to 2018.09.07

* Sat Sep 01 2018 Jan Palus <atler@pld-linux.org> 795c450
- rel 2

* Thu Aug 30 2018 Jan Palus <atler@pld-linux.org> e2b92b9
- package regulatory.db

* Fri Aug 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 0c2dae2
- updated to 2018.05.31

* Tue Mar 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 19ef4f8
- updated to 2017.03.07

* Mon Jun 13 2016 Jakub Bogusz <qboosh@pld-linux.org> b1e97a0
- updated to 2016.06.10

* Tue May 10 2016 Jakub Bogusz <qboosh@pld-linux.org> de8d64b
- updated to 2016.05.02

* Thu Feb 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 9b08bf9
- updated to 2016.02.08

* Sat Jan 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 4ef4554
- updated to 2015.12.14

* Tue Nov 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 8d64f8f
- updated to 2015.10.22

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 13fca8f
- updated to 2015.10.13

* Sun Oct 04 2015 Jakub Bogusz <qboosh@pld-linux.org> bd1c81f
- updated to 2015.09.25

* Sat Sep 05 2015 Jakub Bogusz <qboosh@pld-linux.org> c9ef234
- updated to 2015.07.20

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 6e52148
- updated to 2015.06.05

* Sat Apr 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 224de49
- updated to 2015.04.06

* Fri Feb 06 2015 Jakub Bogusz <qboosh@pld-linux.org> a23851d
- updated to 2015.01.30

* Fri Nov 21 2014 Jakub Bogusz <qboosh@pld-linux.org> ad75f5c
- updated to 2014.11.18

